Skip to content
CatalogModifier Groups

Get customization

Returns one store customization with its ordered options and product count.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/catalog/modifier-groups/7204558912004328247" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004328247",  "name": "Clientes frecuentes",  "selectionType": "single",  "display": "list",  "isRequired": true,  "minSelections": 1,  "priceDelta": 89,  "order": 1,  "status": "active",  "options": [    {      "id": "7204558912004322325",      "name": "Color",      "priceDelta": 89,      "isDefault": true,      "maxQuantity": 2,      "order": 1,      "status": "active",      "color": "Azul"    }  ],  "productCount": 24,  "createdOn": "2026-09-28T15:30:00Z"}